Subject: Re: 28.0.50; GC may miss to mark calle safe register content

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 May 2020 20:28:04 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Paul Eggert <[email-masked]>, [email-masked]
> Date: Sun, 17 May 2020 17:21:54 +0000
> 
> But I just wanted to point out that I think this is clearly a bug in our
> code, and it can trigger depending on decision of the tool-chain we have
> no control over.

I'm not saying it is not a bug.  I'm saying that we've lived with this
bug for a very long time, so if it is real, it is definitely very-very
rare.

If we put every bugfix we could think of into the release branch, we
will never release Emacs 27.  Never.  Because there's always one more
bug.

> I think it should be trated as we would do if we discover and verify an
> "access out of bounds" or "read after free".

Depends on the circumstances.